/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSCharsetRule_H__
#define __GdomCSSCharsetRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSCharsetRule GdomCSSCharsetRule;
typedef struct _GdomCSSCharsetRuleClass GdomCSSCharsetRuleClass;


#define GDOM_TYPE_CSS_CHARSET_RULE            (gdom_css_charset_rule_get_type())
#define GDOM_CSS_CHARSET_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_CHARSET_RULE, GdomCSSCharsetRule))
#define GDOM_CSS_CHARSET_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_CHARSET_RULE, GdomCSSCharsetRule)Class)
#define GDOM_IS_CSS_CHARSET_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_CHARSET_RULE))
#define GDOM_IS_CSS_CHARSET_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_CHARSET_RULE))
#define GDOM_CSS_CHARSET_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_CHARSET_RULE, GdomCSSCharsetRuleClass))

typedef struct _GdomCSSCharsetRulePrivate GdomCSSCharsetRulePrivate;

struct _GdomCSSCharsetRule {
    GdomCSSRule parent_instance;
    GdomCSSCharsetRulePrivate *priv;
};

struct _GdomCSSCharsetRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_charset_rule_get_type (void);

G_END_DECLS

#endif /* __GdomCSSCharsetRule_H__ */
